Brightness
Increase brightness
GET
https://images.contentstack.io/v3/assets/{stack_api_key}/{asset_uid}/{file_uid}/filename.jpg?environment={environment_name}&brightness={brightness_value}Note Check out the limitations that are applicable here.
To decrease the value of the brightness parameter of an image, pass a negative value:
Hide Parameters
Query Parameters
brightnessoptionalstringExample:
20environmentrequiredstringExample:
productionDecrease brightness
GET
https://images.contentstack.io/v3/assets/{stack_api_key}/{asset_uid}/{file_uid}/filename.jpg?environment={environment_name}&brightness={brightness_value}Note Check out the limitations that are applicable here.
Additional Notes
- The default value for the brightness parameter is 0. This renders the image unchanged.
- A value of 100 will render an entirely white image.
- A value of -100 will render an entirely black image.
The brightness parameter allows you to increase or decrease the intensity with which an image reflects or radiates perceived light. To specify brightness for an image, use a whole number (integer) between -100 and 100. You can also define brightness using any decimal number between -100.00 and 100.00.
To increase the value of the brightness parameter of an image, pass a positive value: